# H245_H223AL1MParameters Class Reference

`#include <h245.h>`

Inheritance diagram for H245_H223AL1MParameters:

List of all members.

## Public Types

enum | OptionalFields { e_rsCodeCorrection }

## Public Member Functions

| H245_H223AL1MParameters (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_H223AL1MParameters_transferMode | m_transferMode
H245_H223AL1MParameters_headerFEC | m_headerFEC
H245_H223AL1MParameters_crcLength | m_crcLength
PASN_Integer | m_rcpcCodeRate
H245_H223AL1MParameters_arqType | m_arqType
PASN_Boolean | m_alpduInterleaving
PASN_Boolean | m_alsduSplitting
PASN_Integer | m_rsCodeCorrection

## Member Enumeration Documentation

enum H245_H223AL1MParameters::OptionalFields

Enumerator:

  e_rsCodeCorrection |

## Constructor & Destructor Documentation

H245_H223AL1MParameters::H245_H223AL1MParameters | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_H223AL1MParameters::GetDataLength | ( |  | ) | const

PBoolean H245_H223AL1MParameters::Decode | ( | PASN_Stream & | strm | ) |

void H245_H223AL1MParameters::Encode | ( | PASN_Stream & | strm | ) | const

void H245_H223AL1MParameters::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_H223AL1MParameters::Compare | ( | const PObject & | obj | ) | const

PObject* H245_H223AL1MParameters::Clone | ( |  | ) | const

## Member Data Documentation

H245_H223AL1MParameters_transferMode H245_H223AL1MParameters::m_transferMode

H245_H223AL1MParameters_headerFEC H245_H223AL1MParameters::m_headerFEC

H245_H223AL1MParameters_crcLength H245_H223AL1MParameters::m_crcLength

PASN_Integer H245_H223AL1MParameters::m_rcpcCodeRate

H245_H223AL1MParameters_arqType H245_H223AL1MParameters::m_arqType

PASN_Boolean H245_H223AL1MParameters::m_alpduInterleaving

PASN_Boolean H245_H223AL1MParameters::m_alsduSplitting

PASN_Integer H245_H223AL1MParameters::m_rsCodeCorrection

The documentation for this class was generated from the following file:

- h245.h